Opened 7 years ago

Closed 6 years ago

#10064 closed defect (fixed)

Current maint-2.4 TBB build is broken on systems with patch >= 2.7

Reported by: sqrt2 Owned by: mikeperry
Priority: Medium Milestone:
Component: Applications/Tor bundles/installation Version:
Severity: Keywords: needs-triage
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

I tried compiling TBB from the maint-2.4 branch in torbrowser.git, and make -f linux.mk errors with the message

File browser/branding/official/background.png: git binary diffs are not supported.

and the same for a number of other image files. These image files recently (revision 427d12c3) became binary diffs in 0011-Rebrand-Firefox-to-TorBrowser.patch. GNU patch 2.7 introduced the ability to handle git diffs, with these words:

Support for most features of the "diff --git" format, including renames and copies, permission changes, and symlink diffs. Binary diffs are not supported yet; patch will complain and skip them.

It appears this is what is happening here, so I propose going back simply copying the images from the branding directory (which is probably the intended procedure anyway).

Child Tickets

Change History (3)

comment:1 Changed 7 years ago by sqrt2

Summary: Current maint-2.4 TBB build breaks build on systems with patch >= 2.7Current maint-2.4 TBB build is broken on systems with patch >= 2.7

comment:2 Changed 6 years ago by erinn

Keywords: needs-triage added

comment:3 Changed 6 years ago by erinn

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.